Body
-
The title of the form
-
The description of the form
-
The visibility of the form.
Value Description public Public private Private hidden Hidden internal Internal Values are
public,private,hidden, orinternal. -
Domain hosts to allow viewing this form when embedded
-
Should this form create a new client if a submission comes form no registered account
-
Required if create client is true, the type of client to create on form submission.
Value Description client Client prospect Prospect Values are
clientorprospect.
POST
/api/v1/form
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"title":"Annual Survey Form","description":"This is the annual survey form for 2022","visibility":"public","allowed_hosts":["example.com","example.org"],"create_client":false,"client_type":"client"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"title": "Annual Survey Form",
"description": "This is the annual survey form for 2022",
"visibility": "public",
"allowed_hosts": [
"example.com",
"example.org"
],
"create_client": false,
"client_type": "client"
}
Response examples (201)
{
"uuid": "b8e67b70-8032-4659-b737-bfd9729cbb29",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "ce753d7e-a14f-406c-947d-02a881765a63",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"section": {
"uuid": "af706da4-ac2b-45dc-8404-b10ef7e20ac6",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
}